For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Merchant Onboarding Record

Update an existing Merchant Onboarding Record

put
Path parameters
merchant_onboarding_idinteger · int64Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Body
channelMerchantIdstringOptional
Responses
200

Merchant Onboarding Record

application/json
merchant_onboarding_idinteger · int64Optional

Unique identifier for this merchant onboarding record.

channel_merchant_idstringOptional

Unique identifier of this merchant in the channel’s systems.

app_idinteger · int32Optional

Identifier of the App in Violet that this external payout account is associated to.

date_createdstring · date-timeOptional

Time at which the object was created. In ISO-8601 format.

date_last_modifiedstring · date-timeOptional

Time at which the object was last modified. In ISO-8601 format.

put/merchants/onboard/{merchant_onboarding_id}
PUT /v1/merchants/onboard/{merchant_onboarding_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Content-Type: application/json
Accept: */*
Content-Length: 296

{
  "merchant_onboarding_id": 10003,
  "channel_merchant_id": "inttest-01",
  "app_id": 11661,
  "payout_details": {
    "payment_provider": "STRIPE",
    "payment_provider_metadata": {
      "stripe_account_id": "acct_123456789"
    }
  },
  "date_created": "2025-06-17T01:54:03.446+00:00",
  "date_last_modified": "2025-06-17T01:54:03.446+00:00"
}
200

Merchant Onboarding Record

{
  "merchant_onboarding_id": 10006,
  "channel_merchant_id": "chnl-test-01",
  "app_id": 11026,
  "payout_details": {
    "payment_provider": "STRIPE",
    "payment_provider_account_id": "acct_123456789",
    "payment_provider_metadata": {
      "stripe_account_id": "acct_1RafLoGaeMLpjAlB"
    }
  },
  "date_created": "2025-06-17T06:46:35.307+00:00",
  "date_last_modified": "2025-06-17T06:46:35.307+00:00"
}

Last updated

Was this helpful?